
/*
 * Copyright (C) 2010-2025 Oracle and/or its affiliates.
 *
 * This file is part of a free software library; you can redistribute
 * it and/or modify it under the terms of the GNU Lesser General
 * Public License version 2.1 as published by the Free Software
 * Foundation and shipped in the \"COPYING.LIB\" file with this library.
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY of any kind.
 *
 * Oracle LGPL Disclaimer: For the avoidance of doubt, except that if
 * any license choice other than GPL or LGPL is available it will
 * apply instead, Oracle elects to use only the Lesser General Public
 * License version 2.1 (LGPLv2) at this time for any software where
 * a choice of LGPL license versions is made available with the
 * language indicating that LGPLv2 or any later version may be used,
 * or where a choice of which version of the LGPL is applied is
 * otherwise unspecified.

 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * SPDX-License-Identifier: LGPL-2.1-only
 */

/*
 * CPUPropertyTypeARM.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_7_2;

import org.virtualbox_7_2.jaxws.*;
import javax.xml.ws.*;

/**
Virtual CPU property type for ARM-based CPUs. This enumeration represents possible values of the
IPlatformARM get- and setCPUProperty methods.
Interface ID: <code>{F84EB90A-3E01-47CF-88C1-F8FC559DD37A}</code>
*/
public enum CPUPropertyTypeARM
{

/**
Null value (never used by the API).
*/
    Null(0),

/**
Enables the hardware virtualization feature on the guest CPU.
This requires the nested virtualization feature on the host CPU.
*/
    HWVirt(1),

/**
Enables the Interrupt Translation Service (ITS) for the GIC.
*/
    GICITS(2);

    private final int value;

    CPUPropertyTypeARM(int v)
    {
        value = v;
    }

    public int value()
    {
        return value;
    }

    public static CPUPropertyTypeARM fromValue(long v)
    {
        for (CPUPropertyTypeARM c: CPUPropertyTypeARM.values())
        {
            if (c.value == (int)v)
            {
                return c;
            }
        }
        throw new IllegalArgumentException(Long.toString(v));
    }

    public static CPUPropertyTypeARM fromValue(String v)
    {
        return valueOf(CPUPropertyTypeARM.class, v);
    }
}

