
/*
 * Copyright (C) 2010-2025 Oracle and/or its affiliates.
 *
 * This file is part of a free software library; you can redistribute
 * it and/or modify it under the terms of the GNU Lesser General
 * Public License version 2.1 as published by the Free Software
 * Foundation and shipped in the \"COPYING.LIB\" file with this library.
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY of any kind.
 *
 * Oracle LGPL Disclaimer: For the avoidance of doubt, except that if
 * any license choice other than GPL or LGPL is available it will
 * apply instead, Oracle elects to use only the Lesser General Public
 * License version 2.1 (LGPLv2) at this time for any software where
 * a choice of LGPL license versions is made available with the
 * language indicating that LGPLv2 or any later version may be used,
 * or where a choice of which version of the LGPL is applied is
 * otherwise unspecified.

 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * SPDX-License-Identifier: LGPL-2.1-only
 */

/*
 * VBoxEventType.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_7_2;

import org.virtualbox_7_2.jaxws.*;
import javax.xml.ws.*;

/**
Type of an event.
See{@link org.virtualbox_7_2.IEvent}for an introduction to VirtualBox event handling.
Interface ID: <code>{0C8F8BD7-C5D8-4085-83C2-558A4025B215}</code>
*/
public enum VBoxEventType
{

/**
Invalid event, must be first.
*/
    Invalid(0),

/**
Wildcard for all events.
Events of this type are never delivered, and only used in{@link org.virtualbox_7_2.IEventSource#registerListener(org.virtualbox_7_2.IEventListener,List,Boolean)}call to simplify registration.
*/
    Any(1),

/**
Wildcard for all vetoable events. Events of this type are never delivered, and only
used in{@link org.virtualbox_7_2.IEventSource#registerListener(org.virtualbox_7_2.IEventListener,List,Boolean)}call to simplify registration.
*/
    Vetoable(2),

/**
Wildcard for all machine events. Events of this type are never delivered, and only used in{@link org.virtualbox_7_2.IEventSource#registerListener(org.virtualbox_7_2.IEventListener,List,Boolean)}call to simplify registration.
*/
    MachineEvent(3),

/**
Wildcard for all snapshot events. Events of this type are never delivered, and only used in{@link org.virtualbox_7_2.IEventSource#registerListener(org.virtualbox_7_2.IEventListener,List,Boolean)}call to simplify registration.
*/
    SnapshotEvent(4),

/**
Wildcard for all input device (keyboard, mouse) events.
Events of this type are never delivered, and only used in{@link org.virtualbox_7_2.IEventSource#registerListener(org.virtualbox_7_2.IEventListener,List,Boolean)}call to simplify registration.
*/
    InputEvent(5),

/**
Last wildcard.
*/
    LastWildcard(31),

/**
See{@link org.virtualbox_7_2.IMachineStateChangedEvent}.
*/
    OnMachineStateChanged(32),

/**
See{@link org.virtualbox_7_2.IMachineDataChangedEvent}.
*/
    OnMachineDataChanged(33),

/**
See{@link org.virtualbox_7_2.IExtraDataChangedEvent}.
*/
    OnExtraDataChanged(34),

/**
See{@link org.virtualbox_7_2.IExtraDataCanChangeEvent}.
*/
    OnExtraDataCanChange(35),

/**
See{@link org.virtualbox_7_2.IMediumRegisteredEvent}.
*/
    OnMediumRegistered(36),

/**
See{@link org.virtualbox_7_2.IMachineRegisteredEvent}.
*/
    OnMachineRegistered(37),

/**
See{@link org.virtualbox_7_2.ISessionStateChangedEvent}.
*/
    OnSessionStateChanged(38),

/**
See{@link org.virtualbox_7_2.ISnapshotTakenEvent}.
*/
    OnSnapshotTaken(39),

/**
See{@link org.virtualbox_7_2.ISnapshotDeletedEvent}.
*/
    OnSnapshotDeleted(40),

/**
See{@link org.virtualbox_7_2.ISnapshotChangedEvent}.
*/
    OnSnapshotChanged(41),

/**
See{@link org.virtualbox_7_2.IGuestPropertyChangedEvent}.
*/
    OnGuestPropertyChanged(42),

/**
See{@link org.virtualbox_7_2.IMousePointerShapeChangedEvent}.
*/
    OnMousePointerShapeChanged(43),

/**
See{@link org.virtualbox_7_2.IMouseCapabilityChangedEvent}.
*/
    OnMouseCapabilityChanged(44),

/**
See{@link org.virtualbox_7_2.IKeyboardLedsChangedEvent}.
*/
    OnKeyboardLedsChanged(45),

/**
See{@link org.virtualbox_7_2.IStateChangedEvent}.
*/
    OnStateChanged(46),

/**
See{@link org.virtualbox_7_2.IAdditionsStateChangedEvent}.
*/
    OnAdditionsStateChanged(47),

/**
See{@link org.virtualbox_7_2.INetworkAdapterChangedEvent}.
*/
    OnNetworkAdapterChanged(48),

/**
See{@link org.virtualbox_7_2.ISerialPortChangedEvent}.
*/
    OnSerialPortChanged(49),

/**
See{@link org.virtualbox_7_2.IParallelPortChangedEvent}.
*/
    OnParallelPortChanged(50),

/**
See{@link org.virtualbox_7_2.IStorageControllerChangedEvent}.
*/
    OnStorageControllerChanged(51),

/**
See{@link org.virtualbox_7_2.IMediumChangedEvent}.
*/
    OnMediumChanged(52),

/**
See{@link org.virtualbox_7_2.IVRDEServerChangedEvent}.
*/
    OnVRDEServerChanged(53),

/**
See{@link org.virtualbox_7_2.IUSBControllerChangedEvent}.
*/
    OnUSBControllerChanged(54),

/**
See{@link org.virtualbox_7_2.IUSBDeviceStateChangedEvent}.
*/
    OnUSBDeviceStateChanged(55),

/**
See{@link org.virtualbox_7_2.ISharedFolderChangedEvent}.
*/
    OnSharedFolderChanged(56),

/**
See{@link org.virtualbox_7_2.IRuntimeErrorEvent}.
*/
    OnRuntimeError(57),

/**
See{@link org.virtualbox_7_2.ICanShowWindowEvent}.
*/
    OnCanShowWindow(58),

/**
See{@link org.virtualbox_7_2.IShowWindowEvent}.
*/
    OnShowWindow(59),

/**
See{@link org.virtualbox_7_2.ICPUChangedEvent}.
*/
    OnCPUChanged(60),

/**
See{@link org.virtualbox_7_2.IVRDEServerInfoChangedEvent}.
*/
    OnVRDEServerInfoChanged(61),

/**
See{@link org.virtualbox_7_2.IEventSourceChangedEvent}.
*/
    OnEventSourceChanged(62),

/**
See{@link org.virtualbox_7_2.ICPUExecutionCapChangedEvent}.
*/
    OnCPUExecutionCapChanged(63),

/**
See{@link org.virtualbox_7_2.IGuestKeyboardEvent}.
*/
    OnGuestKeyboard(64),

/**
See{@link org.virtualbox_7_2.IGuestMouseEvent}.
*/
    OnGuestMouse(65),

/**
See{@link org.virtualbox_7_2.INATRedirectEvent}.
*/
    OnNATRedirect(66),

/**
See{@link org.virtualbox_7_2.IHostPCIDevicePlugEvent}.
*/
    OnHostPCIDevicePlug(67),

/**
See{@link org.virtualbox_7_2.IVBoxSVCAvailabilityChangedEvent}.
*/
    OnVBoxSVCAvailabilityChanged(68),

/**
See{@link org.virtualbox_7_2.IBandwidthGroupChangedEvent}.
*/
    OnBandwidthGroupChanged(69),

/**
See{@link org.virtualbox_7_2.IGuestMonitorChangedEvent}.
*/
    OnGuestMonitorChanged(70),

/**
See{@link org.virtualbox_7_2.IStorageDeviceChangedEvent}.
*/
    OnStorageDeviceChanged(71),

/**
See{@link org.virtualbox_7_2.IClipboardModeChangedEvent}.
*/
    OnClipboardModeChanged(72),

/**
See{@link org.virtualbox_7_2.IDnDModeChangedEvent}.
*/
    OnDnDModeChanged(73),

/**
See{@link org.virtualbox_7_2.INATNetworkChangedEvent}.
*/
    OnNATNetworkChanged(74),

/**
See{@link org.virtualbox_7_2.INATNetworkStartStopEvent}.
*/
    OnNATNetworkStartStop(75),

/**
See{@link org.virtualbox_7_2.INATNetworkAlterEvent}.
*/
    OnNATNetworkAlter(76),

/**
See{@link org.virtualbox_7_2.INATNetworkCreationDeletionEvent}.
*/
    OnNATNetworkCreationDeletion(77),

/**
See{@link org.virtualbox_7_2.INATNetworkSettingEvent}.
*/
    OnNATNetworkSetting(78),

/**
See{@link org.virtualbox_7_2.INATNetworkPortForwardEvent}.
*/
    OnNATNetworkPortForward(79),

/**
See{@link org.virtualbox_7_2.IGuestSessionStateChangedEvent}.
*/
    OnGuestSessionStateChanged(80),

/**
See{@link org.virtualbox_7_2.IGuestSessionRegisteredEvent}.
*/
    OnGuestSessionRegistered(81),

/**
See{@link org.virtualbox_7_2.IGuestProcessRegisteredEvent}.
*/
    OnGuestProcessRegistered(82),

/**
See{@link org.virtualbox_7_2.IGuestProcessStateChangedEvent}.
*/
    OnGuestProcessStateChanged(83),

/**
See{@link org.virtualbox_7_2.IGuestProcessInputNotifyEvent}.
*/
    OnGuestProcessInputNotify(84),

/**
See{@link org.virtualbox_7_2.IGuestProcessOutputEvent}.
*/
    OnGuestProcessOutput(85),

/**
See{@link org.virtualbox_7_2.IGuestFileRegisteredEvent}.
*/
    OnGuestFileRegistered(86),

/**
See{@link org.virtualbox_7_2.IGuestFileStateChangedEvent}.
*/
    OnGuestFileStateChanged(87),

/**
See{@link org.virtualbox_7_2.IGuestFileOffsetChangedEvent}.
*/
    OnGuestFileOffsetChanged(88),

/**
See{@link org.virtualbox_7_2.IGuestFileReadEvent}.
*/
    OnGuestFileRead(89),

/**
See{@link org.virtualbox_7_2.IGuestFileWriteEvent}.
*/
    OnGuestFileWrite(90),

/**
See{@link org.virtualbox_7_2.IRecordingStateChangedEvent}.
*/
    OnRecordingStateChanged(91),

/**
See{@link org.virtualbox_7_2.IGuestUserStateChangedEvent}.
*/
    OnGuestUserStateChanged(92),

/**
See{@link org.virtualbox_7_2.IGuestMultiTouchEvent}.
*/
    OnGuestMultiTouch(93),

/**
See{@link org.virtualbox_7_2.IHostNameResolutionConfigurationChangeEvent}.
*/
    OnHostNameResolutionConfigurationChange(94),

/**
See{@link org.virtualbox_7_2.ISnapshotRestoredEvent}.
*/
    OnSnapshotRestored(95),

/**
See{@link org.virtualbox_7_2.IMediumConfigChangedEvent}.
*/
    OnMediumConfigChanged(96),

/**
See{@link org.virtualbox_7_2.IAudioAdapterChangedEvent}.
*/
    OnAudioAdapterChanged(97),

/**
See{@link org.virtualbox_7_2.IProgressPercentageChangedEvent}.
*/
    OnProgressPercentageChanged(98),

/**
See{@link org.virtualbox_7_2.IProgressTaskCompletedEvent}.
*/
    OnProgressTaskCompleted(99),

/**
See{@link org.virtualbox_7_2.ICursorPositionChangedEvent}.
*/
    OnCursorPositionChanged(100),

/**
See{@link org.virtualbox_7_2.IGuestAdditionsStatusChangedEvent}.
*/
    OnGuestAdditionsStatusChanged(101),

/**
See{@link org.virtualbox_7_2.IGuestMonitorInfoChangedEvent}.
*/
    OnGuestMonitorInfoChanged(102),

/**
See{@link org.virtualbox_7_2.IGuestFileSizeChangedEvent}.
*/
    OnGuestFileSizeChanged(103),

/**
See{@link org.virtualbox_7_2.IClipboardFileTransferModeChangedEvent}.
*/
    OnClipboardFileTransferModeChanged(104),

/**
See{@link org.virtualbox_7_2.ICloudProviderListChangedEvent}.
*/
    OnCloudProviderListChanged(105),

/**
See{@link org.virtualbox_7_2.ICloudProviderRegisteredEvent}.
*/
    OnCloudProviderRegistered(106),

/**
See{@link org.virtualbox_7_2.ICloudProviderUninstallEvent}.
*/
    OnCloudProviderUninstall(107),

/**
See{@link org.virtualbox_7_2.ICloudProfileRegisteredEvent}.
*/
    OnCloudProfileRegistered(108),

/**
See{@link org.virtualbox_7_2.ICloudProfileChangedEvent}.
*/
    OnCloudProfileChanged(109),

/**
See{@link org.virtualbox_7_2.IProgressCreatedEvent}.
*/
    OnProgressCreated(110),

/**
See{@link org.virtualbox_7_2.ILanguageChangedEvent}.
*/
    OnLanguageChanged(111),

/**
See{@link org.virtualbox_7_2.IUpdateAgentAvailableEvent}.
*/
    OnUpdateAgentAvailable(112),

/**
See{@link org.virtualbox_7_2.IUpdateAgentErrorEvent}.
*/
    OnUpdateAgentError(113),

/**
See{@link org.virtualbox_7_2.IUpdateAgentSettingsChangedEvent}.
*/
    OnUpdateAgentSettingsChanged(114),

/**
See{@link org.virtualbox_7_2.IUpdateAgentStateChangedEvent}.
*/
    OnUpdateAgentStateChanged(115),

/**
See{@link org.virtualbox_7_2.IHostAudioDeviceChangedEvent}.
*/
    OnHostAudioDeviceChanged(116),

/**
See{@link org.virtualbox_7_2.IGuestDebugControlChangedEvent}.
*/
    OnGuestDebugControlChanged(117),

/**
See{@link org.virtualbox_7_2.IMachineGroupsChangedEvent}.
*/
    OnMachineGroupsChanged(118),

/**
See{@link org.virtualbox_7_2.IGuestDirectoryRegisteredEvent}.
*/
    OnGuestDirectoryRegistered(119),

/**
See{@link org.virtualbox_7_2.IGuestDirectoryStateChangedEvent}.
*/
    OnGuestDirectoryStateChanged(120),

/**
See{@link org.virtualbox_7_2.IGuestDirectoryReadEvent}.
*/
    OnGuestDirectoryRead(121),

/**
See{@link org.virtualbox_7_2.IClipboardErrorEvent}.
*/
    OnClipboardError(122),

/**
See{@link org.virtualbox_7_2.IExtPackInstalledEvent}.
*/
    OnExtPackInstalled(123),

/**
See{@link org.virtualbox_7_2.IExtPackUninstalledEvent}.
*/
    OnExtPackUninstalled(124),

/**
See{@link org.virtualbox_7_2.IRecordingScreenStateChangedEvent}.
*/
    OnRecordingScreenStateChanged(125),

/**
Must be last event, used for iterations and structures relying on numerical event values.
*/
    End(126);

    private final int value;

    VBoxEventType(int v)
    {
        value = v;
    }

    public int value()
    {
        return value;
    }

    public static VBoxEventType fromValue(long v)
    {
        for (VBoxEventType c: VBoxEventType.values())
        {
            if (c.value == (int)v)
            {
                return c;
            }
        }
        throw new IllegalArgumentException(Long.toString(v));
    }

    public static VBoxEventType fromValue(String v)
    {
        return valueOf(VBoxEventType.class, v);
    }
}

